#1236 closed Package Issue - Production (deferred)

Warden creates default template based on `uname -r` ignoring --version flag

Reported by: clinta Owned by: kris
Priority: minor Milestone:
Component: System Tool Version: 10.1-RELEASE
Keywords: warden Cc: trac-bugs@…

Description

Experienced on FreeBSD 11.0-CURRENT with the sysutils/pcbsd-utils port installed.

When trying to create a jail with warden create testjail --version 10.0-RELEASE it attempts to create a default template based on 11.0-CURRENT. Looking at the source it appears that a default template is always created based on uname -r even when the --version flag is specified.

# warden create testjail02 --version 10.0-RELEASE
DEF: 11.0-CURRENT-amd64
Fetching jail environment. This may take a while...
fetch: http://iso.cdn.pcbsd.org/11.0-CURRENT/amd64/dist/base.txz: Not Found
ERROR: Failed downloading: //amd64/dist/base.txz
Fetching jail environment. This may take a while...
fetch: ftp://ftp.freebsd.org/pub/FreeBSD/releases/amd64/amd64/11.0-CURRENT/base.txz: File unavailable (e.g., file not found, no access)
Trying ftp-archive...
fetch: http://ftp-archive.freebsd.org/pub/FreeBSD-Archive/old-releases/amd64/amd64/11.0-CURRENT/base.txz: Not Found
Looking for old versions of FreeBSD
fetch: ftp://ftp.freebsd.org/pub/FreeBSD/releases/amd64/11.0-CURRENT//.inf: File unavailable (e.g., file not found, no access)
Looking for older versions of FreeBSD
fetch: http://ftp-archive.freebsd.org/pub/FreeBSD-Archive/old-releases/amd64/11.0-CURRENT//.inf: Not Found
ERROR: Failed downloading: FreeBSD 11.0-CURRENT - .inf
ERROR: Failed create default template

Change History (2)

comment:1 Changed 11 months ago by joshms

  • Owner set to kris
  • Priority changed from major to minor

comment:2 Changed 11 months ago by joshms

  • Resolution set to deferred
  • Status changed from new to closed

ticket migrated. closing.

Note: See TracTickets for help on using tickets.